Update an inspiration question
curl --request PATCH \
--url https://app.heyoo.ai/api/inspiration-questions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "<string>",
"description": "<string>",
"groups": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"isActive": true,
"archived": true
}
'import requests
url = "https://app.heyoo.ai/api/inspiration-questions/{id}"
payload = {
"question": "<string>",
"description": "<string>",
"groups": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"isActive": True,
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
question: '<string>',
description: '<string>',
groups: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
isActive: true,
archived: true
})
};
fetch('https://app.heyoo.ai/api/inspiration-questions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.heyoo.ai/api/inspiration-questions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'question' => '<string>',
'description' => '<string>',
'groups' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'isActive' => true,
'archived' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.heyoo.ai/api/inspiration-questions/{id}"
payload := strings.NewReader("{\n \"question\": \"<string>\",\n \"description\": \"<string>\",\n \"groups\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"isActive\": true,\n \"archived\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.heyoo.ai/api/inspiration-questions/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"question\": \"<string>\",\n \"description\": \"<string>\",\n \"groups\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"isActive\": true,\n \"archived\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.heyoo.ai/api/inspiration-questions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"question\": \"<string>\",\n \"description\": \"<string>\",\n \"groups\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"isActive\": true,\n \"archived\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"workspaceId": "<string>",
"question": "<string>",
"description": "<string>",
"icon": "bulb",
"userType": "thought_leader",
"groups": [
"<string>"
],
"isActive": true,
"archived": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#bad-request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#not-found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#invite-expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#unprocessable-entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#rate-limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#internal-server_error"
}
}Inspiration Questions
Update an inspiration question
Update an inspiration question in the workspace.
PATCH
/
inspiration-questions
/
{id}
Update an inspiration question
curl --request PATCH \
--url https://app.heyoo.ai/api/inspiration-questions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "<string>",
"description": "<string>",
"groups": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"isActive": true,
"archived": true
}
'import requests
url = "https://app.heyoo.ai/api/inspiration-questions/{id}"
payload = {
"question": "<string>",
"description": "<string>",
"groups": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"isActive": True,
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
question: '<string>',
description: '<string>',
groups: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
isActive: true,
archived: true
})
};
fetch('https://app.heyoo.ai/api/inspiration-questions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.heyoo.ai/api/inspiration-questions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'question' => '<string>',
'description' => '<string>',
'groups' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'isActive' => true,
'archived' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.heyoo.ai/api/inspiration-questions/{id}"
payload := strings.NewReader("{\n \"question\": \"<string>\",\n \"description\": \"<string>\",\n \"groups\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"isActive\": true,\n \"archived\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.heyoo.ai/api/inspiration-questions/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"question\": \"<string>\",\n \"description\": \"<string>\",\n \"groups\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"isActive\": true,\n \"archived\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.heyoo.ai/api/inspiration-questions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"question\": \"<string>\",\n \"description\": \"<string>\",\n \"groups\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"isActive\": true,\n \"archived\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"workspaceId": "<string>",
"question": "<string>",
"description": "<string>",
"icon": "bulb",
"userType": "thought_leader",
"groups": [
"<string>"
],
"isActive": true,
"archived": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#bad-request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#not-found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#invite-expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#unprocessable-entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#rate-limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.heyoo.ai/api-reference/errors#internal-server_error"
}
}Authorizations
Default authentication mechanism
Path Parameters
The ID of the inspiration question to update.
Body
application/json
Required string length:
10 - 170Maximum string length:
5000Available options:
bulb, sparkles, message, message-circle, pencil, writing, book, bookmark, star, heart, target, rocket, briefcase, building, building-skyscraper, home, users, user, users-group, speakerphone, send, mail, brand-linkedin, link, world, search, calendar, clock, chart-bar, chart-line, chart-dots, chart-pie, trending-up, trophy, award, bolt, flame, sun, moon, cloud, camera, microphone, video, photo, file-text, clipboard, check, circle-check, help, question-mark Available options:
thought_leader, advocate, all Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
The updated inspiration question.
The unique ID of the inspiration question.
The workspace ID the question belongs to.
The text of the inspiration question.
A helpful description or tooltip for the question.
The icon name for the question.
Available options:
bulb, sparkles, message, message-circle, pencil, writing, book, bookmark, star, heart, target, rocket, briefcase, building, building-skyscraper, home, users, user, users-group, speakerphone, send, mail, brand-linkedin, link, world, search, calendar, clock, chart-bar, chart-line, chart-dots, chart-pie, trending-up, trophy, award, bolt, flame, sun, moon, cloud, camera, microphone, video, photo, file-text, clipboard, check, circle-check, help, question-mark The user type that the question applies to.
Available options:
thought_leader, advocate, all Group IDs the question is assigned to.
Whether the question is active.
Whether the question is archived.
When the question was created.
When the question was last updated.
Was this page helpful?

